=== protocols/jabber/3rdparty/gloox/src/CMakeLists.txt ===
file( GLOB gloox_SRCS *.cpp )

set(GLOOX_BUILD_TYPE "SHARED" CACHE DESCRIPTION "Gloox build type: static or dynamic")

add_library( gloox ${GLOOX_BUILD_TYPE} ${gloox_SRCS} )
if (GLOOX_BUILD_TYPE STREQUAL "STATIC" AND NOT WIN32)
	set_target_properties( gloox PROPERTIES COMPILE_FLAGS "-fPIC" )
endif()
target_link_libraries( gloox ${GLOOX_LIBS} )
## set_target_properties( gloox PROPERTIES SOVERSION 9 )
include_directories( ${gloox_SOURCE_DIR} )
add_definitions( -DGLOOX_EXPORTS -DDLL_EXPORT )

if(GLOOX_BUILD_TYPE STREQUAL "SHARED")
	install( TARGETS gloox
		RUNTIME DESTINATION bin
			COMPONENT Gloox
		LIBRARY DESTINATION lib
			COMPONENT Gloox
		ARCHIVE DESTINATION lib
			COMPONENT GlooxDevel
	)
endif()
