=== protocols/jabber/3rdparty/gloox/src/tests/util/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../util.cpp ../../gloox.cpp )

include( ../CMakeLists_common_after.txt )
