=== debian/changelog ===
qutim (0.2.60-maemo-2) fremantle; urgency=low

  * Initial release. Tech Preview.

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 26 Nov 2010 10:44:04 -0500
