=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev
Standards-Version: 3.7.2

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
XSBC-Maemo-Display-Name: qutIM
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
 dFNvZnR3YXJlAFBhaW50Lk5FVCA/Pz8/Pz8gMy41LjJ5rpbCAAANpklEQVRo
 Q81ZCVSUV5bunqV75sx2es70TDyTaHAhsheCEkTZohnHTjrdneh0ojFJaxKX
 uICIsgkIggRQFBTHSNAQ6diuqEFFlGKHAgEB2UG2EtmhFjbFb773s8Rj26mC
 EM/UOd/5i+K9d7+7vHvve/9PfvKcP729vT8jHFSq3mNqleobfv/Nc6bww8SR
 sJWqtzdKo1bVEPf5dyzxbz9s1ecwmyQt1arerwb61N1ajQo1ja0oq2uBWt0L
 /u/Yc6AwcREk9reELXFqsE8zSPK4S9IRCaVw8k/Fr0OzUdnYhn6tulV4ZuIS
 fqQZJPM3xHLG+Vlae3iQxAurlAg5V4xlQZmYt1sBh7BqLAiuRExKI/o0kheC
 fyQ6+i9LEj8lljEsbtDaWg3Do7jmPnxO3cbrezMg81FgUWgVXjusxNKj7XA+
 3Ip3omvQ0t4Nhlc1587QX9oUjqTgfxDEafFbDwc0EMTzypvhG18Ae79UzPfP
 x8LPK+EcpcSS6DYsOdoxguh2LN5/D/GZTRiil7jGpimkpXspCvw58R6J32Ac
 Q2zO1KJ6eH19m8TTYOWbD3uGivOhZrx2pFUivISWH4FQpA12EUqsPVGDji7J
 C+Vc7+91S/6BI0aJryLhHIbKoKq3B+nFDdhyPBeL/dJh4a2AHUNFEHc+/IDk
 2/AaLS89n4Jj1AM4hNfiSr4SjwYkL7z7A+n95elc/JfEhyxAd4YHteii1W4V
 1OOzYzmw8ZbD2k+EShWchMUFcca4sLwuLAhtwI7Tteju7mH4qeRTrgBJ/yvh
 wlApYjpEFwVdyq4m8Vws8Bohvpih4niwkXHeQjyQLC82qfORdjhFd8LhSAcc
 DnfA8UgnnKM7+Hvb6JgHcIxUwjGsEtkVDzCgVQ1S1ltTosQo8R19WnX1gFYQ
 78bFrCp8dChTIm7hk4dFYVVwPNQEp8j7cIq6L5G2j2qDbdg9LNpXjEXuF7Dc
 LRard5/ER/5x+N2uE3BwiYOdfxYWhtXB7qASTlTGJrQO/hdqpATASh0vMtqk
 leDk/yTctGpVw2OGSktbJy5mVuG9cG5MjxTM882TsoqwuOMhWk9YkJCIhDdh
 sU8y1gfH4/T5S2hoaMBAfx8G+7UYIgb5vYeGSM/IhO/BOLzhdwVWAcWwj2So
 hZehvKFNhJGG8i0mrAAnGfSqev0Y43UP+zW439qJuJtlWB3BjbnzFkPlNvN4
 JRwO1JN88wh5xruAEy0/P+AOVnrH4ebNZAw/HIA+n3vV5fCNjMerHklYEFqP
 zy/X4mG/tJnD9FaAg/+J+FSrVitFOmxp7cCX10rwzudyyEhcJkKFm9OexB0i
 muBA8g4HxXMEjgwf66ByrPGJQUP1XYn348eP8ejRI52QBj8aROSxkzB3u4G3
 DlehVtnB9kLVIyJBLyU4MIhW7xIWj71eiuUByZLFLXczVEIqYL+/DvYRjX8R
 tuENeN3rIoqLCiQ+Q0NDE4JQdnhAiy3BJ2DqU8j24t5YSvXVS4E+jTpfFKFD
 CUWYvfmqlFXsQsqxOLyOlbKeChAHGvh8Bg40YkHQXXiGxUjkBwcHJwW6DApF
 Liy2JeD9LyrQTGP2aVRlNO4vdCqhVqsS6DKcy6iBuVc2i1A1FoUzi5D4Ipb6
 74Mdx9gGFODrP/6JHIbR198/KfQPDKC3pxuL1kdBFlCGy4omDPSpxF74VKcC
 HPQ2ta0UWq+OLsa8wAqmRxJnmtMFOyo6f3cOYr/6ekSBvr5JYYCKd3W0Y+G6
 CFgFVeHj4yXo6ekBa08K+f3L9yohBhCBopR/kVwDmV8hFobWME/X6gbbAAuP
 dGzyjcTw0AA0Gg0PKeoJY2hoENeuJ8FyEzPSviq8GlgEeXGzCCPhhWX6eOEF
 ZqCumqY2vBl2G1aBZcz11XpBNG2Wa0JxLTFR5B+JvEql0hti33S1t2LlJj+Y
 ul6H7b5KWO4pxdaTJaIyCwUS9CpsHBQqcnDQ+TLIfAthG1KlF2z2lsBw/Rks
 fncn0lJT8Hj4ITSs3CIEvg+9VFKk2lZlI7Z67YPBynBY+eRKMq33lsMx6DZy
 ypWiLjwkt/n6eMGSVbDv7r1WLA5QYMHeMrqzUgeqmIVoMa9MGKyKhuyNDYg4
 fAwN9bVMpYOSN7pZeUUbIp5SXPO3AWnTdiHx2yt4e507XnzDG+auibAJvDMu
 z8S7EEEXytHPMOJe+FqnAmIA+5A4LfsRzz+WwNy7ADbBFUT5MzGfxG388rDU
 +wqc3c/CbEM8pv02FC84rIf9is/g7rMXFxMuQdnUJPobaZPW1tZCniLHgYNR
 eHutG+a8vh7T3vSH6ZYLsPZVwCaobFzWPIbR0uA8VNS3MpTUSnrBVKcSHPQr
 nmH7Mu82051ZsA4spYXL/gzWQRVY4JOO46evQt3dDk1PJy4lJuO/Nh3ASyvC
 MW25N37huBl2v1uPpoY6dLa3YIPLLrxk81u87LQWL77ugmm/8sbM94/C3OVb
 WPGcvGCvkHV3XJYNvxt7KhB9vUryArkF6FRADGAYpQmXb44pxFyPvJGFn4I5
 94hrZCKG+7px6koavjybhO7ODlRXV2PJxgjM/sMJvMyY/vzgUXqgHhtcffAf
 Thth8Pv9mPN+NF75+Cta/RIsPdJg7X8b8wNLninH0r8Iy0NycZ8NJbuFWirx
 sk4lOOiD4UENLmTXSrFt6X8H1gEl47AKKJXcnZSSgYKiEpitPYYXP4jDxn3x
 6FMxrm9lwfDDGDh/5I/9+/dj2ZodeGGZO0mfgvn265CRtCU3q7VfAaz3FI+u
 O/b8Ts6IzGKYeeYgLqUa4naD3D7RR4Gf0QvlHV1dWHkgByaeeRREJUYxb08J
 HLyuofV+E768IMfLH56AyQ45jFxvIf5KBrrblHjH8yRmrT4Mw3fDMX3lAczd
 cBqWnhmw8i9k+ywMIggTQoFxfCfjSXnGnvn4/UGFlAjEaZBK/FwfJdYPsaWO
 vVEB050ZmOdXhHl0p4DMvxiveZxHN+N6X+w1zPhDPMzckmHuW4R3fM/gobYH
 wTFX8NKqL2C4Lk4KFZkn74NYIK3oTavRdcbW0/W0YLjKPDIYEXUQR1kq8D/E
 X+uqzjOobbXoUJcGpMGMB/V5dLkgIfO7A+dd59HT0YrQk1TgQ8bz9hvShrN2
 T4SyuRFxCamY/t4RGG+5DAuvLGne2PyR7xPD7B1Z2HQ8H91Mw2KPUgFLfbwQ
 Ipq8qMulmOOaCkvf2xJkvgWw5QGkvq4W56+nYxbj3WjzJbzlcwaObt+guKSE
 oZSG6auOwtg1ibcUuZxXSBSMrzG2lr5Pc55JLD3kSCtuZJNH06p69+ujgAUH
 t4j7TPvdcph45EK2Ox8WhNmuTJw4l4TerjYs3RYDs4+PozBfgdzCUtyrrUJY
 7EgImYwqINtNxTlvUvChTGL6Fjkir5RJ/RHb/zSdCogBvGyKE/2IX3whDLal
 0Jp5EubuzMWKgEvQdLfhakoObNeGY3twjHAvHvWr8NHuLzBtVSxMXK6yRc8Z
 nzc2X9+nMY32yq5c1olcuMWVomL0zEwPROmlAGNtEc/HDzNKGjHf4yaMdmWz
 QitgKpRwvYmQWDZwj7R4cF8JuTxVUkB84i8kwXh1BAw3JsBsZxrn5E4AChiR
 +Ew33lz4k/ipu8iregBeMgjLi2uXEOJFfRX4K2p7TVTCT49kcS/IYc68LGDi
 lQez7UlwOXQZ36bkIiXrNo6fTcbFpAwMazvohRjMWHcaJm4p43PG5j7rKfK9
 KTFrR6ZE3PdMOXIrWqT83zdyX3SO+G+9iD85SEwSd/tJ+XUwdkmC6a4sFpds
 CaZeCsziBjfanACLrRdh8Mk5yLaexweBZ2HnfoleSmYaZhYbHf+sp6lHNgzd
 M2FI4q/65SD4QgXu1Ir+R8WrGKkTPUMsJv5uwuTFBE78Z3HzLDrJFaFyGNIL
 ph5ZkiISSEDEqtEuesUjB0Y7szGbShmzfphys4/gifFPfJ/jloGZLmlw2puD
 wPPlfOHRLm3SQa26m7lGELeZFOmnJ3GhTewIcTatCjM/uwqTcWKC5JMYIfzd
 /8cUGBvD/1Exox0ZTAqpWBqUg/2XK6XNKc4i3ENayjpG2E4J8bFFuOAveWKr
 aGrpwJt7b8Fgy00Yu2dMCHNJepZrmlRTnPZkSV1mdVO7dIXCtcVt3P8SZjqr
 7GQ148J7RCmPvFyEGRsTacU0KpCuE0YcY7BNjlkuKVi+LxuHr1ZK1ybiEo03
 Dy3ilSvXNpwsL73nidRFoT2VDbzT976OmVuFF4QSz4ZQcM52OWayfvwmLAfH
 b1Sh+UEnQ4UHf5WqmdeYQVzzFb0JTMVACox8xNdIPnG5MNh4FUZuzEBPwZAh
 YrA1BYa0+Bsh2fgmvY7Eu9iIacQGbeYaHsT0qeAz4TUoWMZiMlBcrYTptsvM
 SLcw100u4RVa+6XPkqXfVrAN/ya9Fp1dPVI6ZB4XhxEvsZcmLHSqJzBm48Q9
 /rZjmZixIZG5PkXa1HO23cSaSAXOZPAIyd5dZBW2IqUk7Ub8+1TzmPR6JPNr
 vqkZSL9TjzmbEjB7axLWRClwNb9Belkn3ikwHVbwevmT/1fEn0ipP+UmTBO9
 +Z9SK5CouCcOGaLkDzG8Cvl9HfGPk7bQ85hIggt5VVIqihtfQYl7m1v87QPi
 x39NOlUKkuw0YolQhvj+C9ipEvrUOv8HhO7WofzYHNEAAAAASUVORK5CYII=
 ====
