## qutim 0.2.60-maemo-3

=== debian/changelog ===
qutim (0.2.60-maemo-3) fremantle; urgency=low

  * Icons fixes

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 27 Nov 2010 02:18:42 -0500
