=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: qutIM - is powerful instant messenger
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
