=== debian/changelog ===
qutim (0.2.60-maemo-4) fremantle; urgency=low

  * Added Vkontakte Wall plugin
    Vibration Fixed
    Delete some unused icons
    and more..

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 29 Nov 2010 06:16:41 -0500
