=== debian/control ===
--- 
+++ 
@@ -12,6 +12,11 @@
  qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols (like Oscar, XMPP and os on), and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
+XB-Maemo-Upgrade-Description:
+ Added Vkontakte Wall plugin
+ Vibration Fixed
+ Delete some unused icons
+ and more..
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
