=== plugins/yandexnarod/CMakeLists.txt ===
find_package(Qt4 COMPONENTS QtNetwork QtXml QtXmlPatterns QtWebkit)
SET (QT_USE_QTXMLPATTERNS true) 
qutim_add_plugin( yandexnarod
	DISPLAY_NAME "YandexNarod"
	DESCRIPTION "Send files via Yandex.Narod filehosting service"
)
