=== protocols/jabber/3rdparty/gloox/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	set_target_properties( gloox PROPERTIES COMPILE_FLAGS "-fPIC" )
 endif()
 target_link_libraries( gloox ${GLOOX_LIBS} )
-## set_target_properties( gloox PROPERTIES SOVERSION 9 )
+set_target_properties( gloox PROPERTIES SOVERSION 9 )
 include_directories( ${gloox_SOURCE_DIR} )
 add_definitions( -DGLOOX_EXPORTS -DDLL_EXPORT )
