=== debian/changelog ===
qutim (0.2.60-maemo-5) fremantle; urgency=low

  * Fixed profile creation page
    Fixed conference bookmarks
    Off some notification by default
    Fixed chat view
    and other

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 30 Nov 2010 13:02:38 -0500
