=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Upgrade-Description:
- Added Vkontakte Wall plugin
- Vibration Fixed
- Delete some unused icons
- and more..
+ Fixed profile creation page
+ Fixed conference bookmarks
+ Off some notification by default
+ Fixed chat view
+ and other
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
