=== debian/changelog ===
qutim (0.2.60-maemo-6) fremantle; urgency=low

  * Hildonization
  * Add VkontaktePhotoalbum plugin
  * Optimizations
  * And many other changes..
 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 21 Dec 2010 20:33:05 +0300
