## qutim 0.2.60-maemo-7

=== core/src/corelayers/adiumchat/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)
-SET (QT_USE_QTWEBKIT true)
+
 include_directories(.
 	chatlayer
 	)
@@ -9,9 +9,22 @@
 	SOURCE_DIR chatlayer
 	DISPLAY_NAME "Webkit chat layer"
 	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
-	LINK_LIBRARIES ${QT_QTWEBKIT}
+	LINK_LIBRARIES ${QT_QTWEBKIT_LIBRARY}
 	COMPILE_FLAGS "-DADIUMCHAT_LIBRARY"
+	INCLUDE_DIRS ${QT_QTWEBKIT_INCLUDE_DIR}
 )
+
+qutim_add_plugin(tabbedchatform
+	EXTENSION
+	EXTENSION_HEADER tabbedchatform/tabbedchatform.h
+	EXTENSION_CLASS Core::AdiumChat::TabbedChatForm
+	DISPLAY_NAME "Classic"
+	SOURCE_DIR tabbedchatform
+	DESCRIPTION "Default qutIM chatform implementation for adiumchat"
+	DEPENDS adiumchat
+	LINK_LIBRARIES adiumchat
+)
+
 qutim_add_plugin(stackedchatform
 	EXTENSION
 	EXTENSION_HEADER stackedchatform/stackedchatform.h
@@ -31,5 +44,5 @@
 	SOURCE_DIR webkitchat
 	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
 	DEPENDS adiumchat
-	LINK_LIBRARIES ${QT_QTWEBKIT} adiumchat
+	LINK_LIBRARIES adiumchat
 )
