=== debian/changelog ===
qutim (0.2.60-maemo-7) fremantle; urgency=low

  * Some fixes 

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 22 Dec 2010 13:05:11 +0300
