## qutim 0.2.60-maemo-8

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -191,7 +191,7 @@
 
 IF(NOT WIN32)
 	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
-		DESTINATION share
+		DESTINATION /usr/share
 			COMPONENT Core
 	)
 ENDIF()
