=== protocols/jabber/3rdparty/gloox/src/tests/base64/CMakeLists.txt ===
include( ../CMakeLists_common_before.txt )

add_executable( ${dirname}_test ${test_SRCS} ../../base64.cpp )

include( ../CMakeLists_common_after.txt )
