=== debian/changelog ===
qutim (0.2.60-maemo-8) fremantle; urgency=low

  * Fixes notification and chat

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 22 Dec 2010 20:46:58 +0300
