=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev
+Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libidn11-dev
 Standards-Version: 3.7.2
 
 Package: qutim
@@ -13,11 +13,10 @@
 XSBC-Maemo-Display-Name: qutIM
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qutim
 XB-Maemo-Upgrade-Description:
- Fixed profile creation page
- Fixed conference bookmarks
- Off some notification by default
- Fixed chat view
- and other
+ Hildonization
+ Add VkontaktePhotoalbum plugin
+ Optimizations
+ And many other changes..
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
